Amplify APIReference
List PromotedLinks for Campaign
GET
/campaigns/{campaignId}/promotedLinksNote: some promoted link properties require using the Extra Field notion
Authorization
obToken OB-TOKEN-V1<token>
Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.
In: header
Path Parameters
campaignId*string
The Id of the Campaign
Query Parameters
enabled?string
filter based on enabled property of the PromotedLinks object
statuses?string
filter based on statuses - comma separated list of status
limit?number
num of PromotedLinks to retrieve. default is 100. Maximum is 500
offset?number
index of the first PromotedLink in the result, zero based. default is 0
sort?string
SortField supports only the 'creationTime' value
promotedLinkImageWidth?string
the width of the image (in pixels) as retrived in imageMetadata.url property, default value: 60
promotedLinkImageHeight?string
the height of the image (in pixels) as retrived in imageMetadata.url property, default value: 60
Response Body
application/json
curl -X GET "https://example.com/campaigns/abf4b02153ee75f3cadc4fc128ab0419ab/promotedLinks?enabled=true&statuses=APPROVED%2CPENDING%2CREJECTED&limit=200&offset=3&sort=-creationTime&promotedLinkImageWidth=100&promotedLinkImageHeight=100"Empty